Package org.codehaus.janino.util

# Class ClassFile.ConstantUtf8Info

java.lang.Object
org.codehaus.janino.util.ClassFile.ConstantPoolInfo
org.codehaus.janino.util.ClassFile.ConstantValuePoolInfo
org.codehaus.janino.util.ClassFile.ConstantUtf8Info

Enclosing class:
  `ClassFile`

public static class ClassFile.ConstantUtf8Info extends ClassFile.ConstantValuePoolInfo
See JVMS7 4.4.7.

## Constructor Summary

Constructors
Constructor
Description
`ConstantUtf8Info(String s)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getString()`
`Object`
`getValue(ClassFile classFile)`
`int`
`hashCode()`
`boolean`
`isWide()`
`void`
`store(DataOutputStream dos)`
Stores this CP entry into a `DataOutputStream`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConstantUtf8Info

public ConstantUtf8Info(String s)

## Method Details

### getValue

public Object getValue(ClassFile classFile)

Specified by:
  `getValue` in class `ClassFile.ConstantValuePoolInfo`
Returns:
  The value that this constant pool table entry represents; the actual type is `Double`, `Float`, `Integer`, `Long` or `String`

### getString

public String getString()

Returns:
  The string contained in this `ClassFile.ConstantUtf8Info`

### isWide

public boolean isWide()

Specified by:
  `isWide` in class `ClassFile.ConstantPoolInfo`
Returns:
  Whether this CP entry is "wide" in the sense of JVMS7 4.4.5

### store

public void store(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.ConstantPoolInfo`
Stores this CP entry into a `DataOutputStream`.

See JVMS7 4.4.1 and following.

Specified by:
  `store` in class `ClassFile.ConstantPoolInfo`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(@Nullable Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`